ENG_FLOAT_MEDP
varying ENG_MEDP vec2 fTexc0;
varying ENG_MEDP vec4 fColorScale;
varying ENG_MEDP vec4 fColorAdd;
uniform sampler2D tex0;
void main() {
  vec4 c = texture2D(tex0, fTexc0);
  gl_FragColor = c * fColorScale + step(0.5, c.w) * fColorAdd;
}